Doomsday Engine - Feature #1544

Support for ZDoom's Decorate function
2011-08-03 22:47 - archekruz

Status: New Start date: 2011-08-03
Priority: Normal % Done: 0%
Assignee:

Category: 3rd party compatibility

Target version: Modding

Description

As far as | know, Doomsday's capability to modify weapon behavior, and add new weapons/monsters etc is limited to DeHacked
patches and its own customization system. However, Zdoom and its derivatives are most popular for their Decorate function that
allows modders to easily add in weapon, item, inventory, monsters and tweak their behaviour with great precision. Two ideas | have
to implement compatibility in Doomsday for the DECORATE function is to a) have an extra DECORATE subsystem added to the
codebase so it can also understand DECORATE code natively or b) an interpreter that can automatically translate DECORATE code
into a language Doomsday can understand, (as faithfully as possible)

Question : Is jDoom capable of understanding ACS?

Labels: Customizability

Related issues:

Related to Feature #1376: Externally spawned mobjs New 2005-04-02
Related to Feature #1559: State and sprite without a mobj (SMT2A0/STLAG) New 2012-05-05
History

#1 - 2013-10-21 20:33 - skyjake
- Tags set to ZDoom, Decorations, MapData
- Subject changed from Support for ZDoom's Decorate function? to Support for ZDoom's Decorate function

- Category set to 3rd party compatibility

#2 - 2013-10-22 11:35 - skyjake

Question : Is jDoom capable of understanding ACS?

Not presently; see #1252.

#3 - 2019-11-29 12:31 - skyjake

- Target version set to Modding
https://tracker.dengine.net/issues/1252
